# Bg built-in

The bg built-in resumes a job in the background.

## Syntax

- `bg [job…]`

## Description

The bg built-in sends the SIGCONT signal to the specified job. As a result, the job is resumed in the background (if it has been suspended).

The name of the job is printed when the job is resumed.

The built-in can be used only when job control is enabled.

## Operands

job

  The job ID of the job to be resumed.

  More than one job can be specified at a time. The current job is resumed if none is specified.

  The percent sign (`%`) at the beginning of a job ID can be omitted if the shell is not in the POSIXly-correct mode.

## Exit status

The exit status of the bg built-in is zero unless there is any error.

## Notes

The bg built-in is a mandatory built-in.

The POSIX standard provides that the built-in shall have no effect when the job is already running. The bg built-in of yash, however, always sends the SIGCONT signal to the job.